## edu.stanford.nlp.trees.tregex.gui
Class InputPanel.TRegexGUITreeVisitor

    java.lang.Object
      edu.stanford.nlp.trees.tregex.gui.InputPanel.TRegexGUITreeVisitor

All Implemented Interfaces:
  TreeVisitor

Enclosing class:
  InputPanel

    public static class InputPanel.TRegexGUITreeVisitor

extends Object
implements TreeVisitor

Method Summary
`String` `getFilename()`
`HashMap<TreeFromFile,List<Tree>>` `getMatchedParts()`
`List<TreeFromFile>` `getMatches()`
`TregexPattern` `getPattern()`
`int` `numUniqueMatches()` Method for returning the number of matches found in the last tree visited by this tree visitor.
`void` `setFilename(String curFilename)`
`void` `visitTree(Tree t)` Does whatever one needs to do to a particular parse tree.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### getMatchedParts

    public HashMap<TreeFromFile,List<Tree>> getMatchedParts()

### visitTree

    public void visitTree(Tree t)

  Description copied from interface: `TreeVisitor`
  Does whatever one needs to do to a particular parse tree.

  Specified by:
    `visitTree` in interface `TreeVisitor`
  Parameters:
    `t` - A tree. Classes implementing this interface can assume that the tree passed in is not `null`.

### numUniqueMatches

    public int numUniqueMatches()

  Method for returning the number of matches found in the last tree visited by this tree visitor.

  Returns:
    number of matches found in previous tree

### getMatches

    public List<TreeFromFile> getMatches()

### getFilename

    public String getFilename()

### setFilename

    public void setFilename(String curFilename)

### getPattern

    public TregexPattern getPattern()

Stanford NLP Group